import pandas as pd

# ucitavamo podatke 
# podaci su rezultat istrazivanja stack-overflow zajednice
# kolone su odgovori na pitanja, a svaki red je jedan ispitanik
data = pd.read_csv("../Data/survey_results_public.csv")

# saznajemo broj redova i kolona
# imamo 65437 ispitanika i 114 pitanja
print(data.shape)

# ako zelimo da saznamo i sve tipove podataka pored dimenzija samih 
# podataka, treba da koristimo metod info
# object je zapravo string, float je realan broj, int je ceo broj
# ima jos razlicitih tipova podataka
print(data.info())

# ako zelimo da vidimo sve kolone, a ne samo delic, to treba da podesimo
# tako sto uz svojstvo display.max_columns navedemo koliko kolona zaista imamo
pd.set_option('display.max_columns', 114)
# i sada mozemo da vidimo svih 114 kolona 
# odstampacemo prvih 10 odgovora
print(data[:5])

# schema fajl sadrzi spisak pitanja koji odgovara odgovorima ispitanika
data_schema = pd.read_csv("../Data/survey_results_schema.csv")
# da vidimo koja su pitanja, ali prvo da odesimo da mozemo da vidimo sve
pd.set_option('display.max_rows', 87)
print("Data shema: ")
print(data_schema)

# ako zelimo da vidimo samo prvih 5 redova mozemo da koristimo head
print(data_schema.head())
# ako zelimo da vidimo samo poslednjih 10 redova mozemo da koristimo head
print(data_schema.tail(10))