import pandas as pd

# kreiranje data frame-a

# kreiramo recnik
studenti = {
    "ime": ["Pera", "Zika", "Mika"],
    "prezime": ["Peric", "Zikic", "Mikic"],
    "email": ["pera@peric.com", "zika@zikic.com", "mika@mikic.com"]
}
# kreiramo pandas data frame
# iako slicno, pandas data frame nije recnik
data = pd.DataFrame(studenti)

# kada odstampamo podatke, pored njih ce biti ispisan indeks
# (jedinstvena vrednost za svaki red)
print(data)

# citanje informacija iz data frame-a
imena = data["ime"]
prezimena = data["prezime"]
mejl_adrese = data["email"]

# rezultati koje smo dobili nisu liste, vec su tipa series
print(type(imena))

# Series je takodje lista podataka, ali ima mnogo vise funkcionalnosti
# series takodje ima indeks kao i data frame
print("Imena: ", imena)
print("Prezimena: ", prezimena)
print("Mejlovi: ", mejl_adrese)

# naivno:
# data frame predsavlja redove sacinjene od kolona (2D)
# series predstavlja redove jedne konkretne kolone (1D)

# pristupanje vecem broju kolona istovremeno
# dobijamo data frame kao rezultat
prezime_email = data[["prezime", "email"]]
print(prezime_email)

# ako zelimo da vidimo spisak kolona, mozemo da korstimo polje columns
print(data.columns)

# ako nam trebaju konkretni redovi treba da koristimo sledece indeksere:
# loc -> dozvoljava da pristupimo redovima pomocu naziva labela, tj. pomocu naziva indeksa
# iloc -> dozvoljava da pristupimo redovima pomocu celih brojeva (i -> indeksiranje)

# izdvajamo prvi red iz data frame-a i kao rezultat dobijamo series
# koja kao indeks koristi imena kolona da bismo znali sta koja vrednost predstavlja
print("Prvi red", data.iloc[0], sep="\n")

# mozemo da selektujemo istovremeno vise redova, samo treba da koristimo liste
# prilikom indeksiranja
# kao rezultat, dobijamo novi data frame
df = data.iloc[[0,1]]
print(df)

# sa iloc ne moramo da selektujemo samo redove, vec mozemo da prosledimo i drugi 
# argument kojim cemo definisati kolonu koju zelimo (npr. trecu kolonu, tj. mejlove)
# rezultat ce biti series
df = data.iloc[[0,1], 2]
print(df)

# filtriranje sa loc -> prvi red koji je obelezen indeksom 0
# rezultat je series
print(data.loc[0])

# vise redova mozemo da izdvajamo sa loc istovremeno
# rezultat ce biti data frame
print(data.loc[[0,2]])

# mozemo da izdvajamo i odredjene kolone, na primer email kolonu
# rezultat je series
print(data.loc[[0,2], "email"])

# kao i u slucaju redova, mozemo istovremeno da izdvajamo i vise kolona
# i to onim redom kojim zelimo
# rezultat je data frame
print(data.loc[[0,2], ["email", "ime"]])
