import pandas as pd
from matplotlib import pyplot as plt
import numpy as np

# ucitavamo podatke
data = pd.read_csv("../Data/survey_results_public.csv")
data_schema = pd.read_csv("../Data/survey_results_schema.csv")

# definisemo pregled
pd.set_option("display.max_columns", 114)
pd.set_option("display.max_rows", 114)

# stampamo prvih 5 redova
print(data.head())

# saznajemo dimenziju podataka
print(data.shape)

# saznajemo spisak kolona
# namerno pretvaramo u listu da bismo videli sve kolone
print(data.columns.tolist())

# ako zelimo da saznamo godine nasih ispitanika, mozemo lako da ih izvucemo iz data frame-a
ages = data["Age"]
# prilikom stampanja podataka, necemo dobiti sve podatke, vec samo head() i tail()
# tj. prvih i poslednjih 5
print(ages)

# mozemo da prebrojimo tipove odgovora
klase = ages.value_counts(sort=False)
print(klase)

godiste = []
broj_ispitanika = []
obelezja = sorted(klase.keys()) 
for k in obelezja:
    godiste.append(k)
    broj_ispitanika.append(klase[k])
    
ticks = np.arange(len(klase.keys()))
plt.bar(obelezja, broj_ispitanika)
plt.xticks(rotation=45)

plt.tight_layout()
plt.show()

# ako zelimo da dobijemo prvi red iz data frame, mozemo da iskoristimo indeks
prvi_red = data.loc[0]
print(prvi_red)

# ako zelimo da saznamo godine prvog ispitanika, mozemo da navedemo i kolonu
godine = data.loc[0, "Age"]
print(godine)

# kao i do sada mozemo da koristimo i slicing
rezultati = data.loc[1:10, "Age"]
print(rezultati)

# slicing mozemo da koristimo i sa kolonoma
rezultati = data.loc[1:10, "Age":"TechDoc"]
print(rezultati)
