import pandas as pd

# ucitavamo podatke
# indeks mozemo da postavimo direktno prilikom ucitavanja podataka
# logicno je da id odgovora bude indeks
data = pd.read_csv("../Data/survey_results_public.csv", index_col="ResponseId")
data_schema = pd.read_csv("../Data/survey_results_schema.csv")

# postavljamo granice
pd.set_option("display.max_columns", 114)
pd.set_option("display.max_rows", 114)

# prikazujemo prvih 5 elemenata data frame-a
print(data.head())

# sada mozemo da filtriramo podatke po rednom broju anketiranog
print(data.loc[5])

# gde bi se ovo koristilo u realnom slucaju:
# sta ako hocu da znam sta znaci svaka kolona u mojim podacima?
# treba da pogledam sta kaze schema dokument
print(data_schema)

# trik je da postavimo index na qname kolonu u data_schema i da
# lako saznamo sta je pitanje pomocu loc indeksera
data_schema.set_index("qname", inplace=True)
print(data_schema)

# i sad ako hocu da znam sta znaci kolona age u podacima
# mozemo da saznamo sve
print(data_schema.loc["Age"])

# sta znaci na primer kolona Knowledge_3
print(data_schema.loc["Knowledge_3", "question"])

# mozda je lakse da koristimo schema podatke, ako bi indeksi bili sortirani 
# leksikografski (opadajuce je samo postaviti argument ascending=False)
data_schema.sort_index(inplace=True)
print(data_schema.index)