import pandas as pd

# filtriranje podataka

# kreiramo recnik
studenti = {
    "ime": ["Pera", "Zika", "Mika"],
    "prezime": ["Peric", "Zikic", "Zikic"],
    "email": ["pera@peric.com", "zika@zikic.com", "mika@mikic.com"]
}

# od recnika pravimo data frame
data = pd.DataFrame(studenti)

# prikazujemo kreirani data frame
print(data)

# zelimo da izvucemo sve koji se prezivaju zikic
# kao rezultat dobijamo bool series 
print(data["prezime"] == "Zikic")

# da bismo filtrirali, moramo da maskiramo podatke filterom
# filter je ugradjena kljucna rec u pajton, pa ne mozem otako da zovemo
filt = (data["prezime"] == "Zikic")

# filtriramo podatke
rez = data[filt]
print(rez)

# moguce je pisati filtere i direktno u indeksu data frame-a
# ali je manje citljivo
print(data[data["prezime"] == "Zikic"])

# drugi nacin je da koristimo loc indekser
rez = data.loc[filt]
print(rez)
# prednost ovoga je sto mozemo lako da izdvajamo kolone koje zelimo
rez = data.loc[filt, "email"]
print(rez)

# mozemo da koristimo i slozene filtere
# (ne mozemo da koristimo ugradjene and i or kljucne reci)
# & -> and
# | -> or

# slozeni filter (and)
filt = (data["prezime"] == "Zikic") & (data["ime"] == "Zika")
rez = data.loc[filt, "email"]
print(rez)


# slozeni filter (or)
filt = (data["prezime"] == "Zikic") | (data["ime"] == "Pera")
rez = data.loc[filt, "email"]
print(rez)

# komplement filtera, tj. svi redovi koji ne ispunjavaju uslov filtera
filt = (data["prezime"] == "Zikic") & (data["ime"] == "Zika")
# ~ je negacija filtera
rez = data.loc[~filt, "email"]
print(rez)