import pandas as pd

# filtriranje realnog skupa podataka

# ucitavamo podatke
# indeks mozemo da postavimo direktno prilikom ucitavanja podataka
# logicno je da id odgovora bude indeks
data = pd.read_csv("../Data/survey_results_public.csv", index_col="ResponseId")
data_schema = pd.read_csv("../Data/survey_results_schema.csv", index_col = "qname")

# postavljamo granice
pd.set_option("display.max_columns", 114)
pd.set_option("display.max_rows", 114)

# print(data_schema)
#print(data.columns.values)

# ajde da vidimo rezultate za ispitanike cija je plata 
# iznad neke sume (ConvertedCompYearly)
visokaZarada = (data["ConvertedCompYearly"] > 70000)
# izvucicemo samo kolone od interesa
print(data.loc[visokaZarada, ["Country", "ConvertedCompYearly", "LanguageHaveWorkedWith"]])

# sta ako zelimo da vidimo rezultate za konkretne zemlje, a ne za sve

# definisemo listu zemalja od interesa
listaZemalja = ["Serbia", "Switzerland", "Germany", "Canada"]
filterZemlje = data["Country"].isin(listaZemalja)
# ostaje samo da iskoristimo filter
print(data.loc[filterZemlje, "Country"])

# mozemo da koristimo i string metode da bismo napravili izmene u okviru
# naseg skupa podataka ili u ovom slucaju da nam pomogne sa dizajnom filtera

# sta ako nas zanimaju samo ljudi koji su rekli da znaju Pajton programski jezik?
# u slucaju da postoje nepoznate vrednosti (NaN) moramo da ih ignorisemo, navodjenjem polja
# na=False
filterPython = data["LanguageHaveWorkedWith"].str.contains("Python", na=False)
# ostaje samo da primenimo filter
print(data.loc[filterPython, "LanguageHaveWorkedWith"])

