import pandas as pd

# ucitavamo podatke
# indeks mozemo da postavimo direktno prilikom ucitavanja podataka
# logicno je da id odgovora bude indeks
data = pd.read_csv("../Data/survey_results_public.csv", index_col="ResponseId")
data_schema = pd.read_csv("../Data/survey_results_schema.csv")

# postavljamo granice
pd.set_option("display.max_columns", 114)
pd.set_option("display.max_rows", 114)

# godisnja zarada u dolarima je u koloni sa imenom ConvertedCompYearly
# mozemo da primenujemo kolonu tako da ima jasnije ime

# uvek prvo proverite da li je primenovanje uspelo (greske su ceste)
print("SalaryUSD" in list(data.rename(columns={"ConvertedCompYearly" : "SalaryUSD"}).columns))
# i tek onda ga trajno primenite
data.rename(columns={"ConvertedCompYearly" : "SalaryUSD"}, inplace=True)

# citamo plate
print(data["SalaryUSD"])

# da ne odgovori (da li zeli da bude deo pro serije)
print(data["TBranch"])
# mozemo da mapiramo vrednosti na True/False
# sve sto nije Yes/No, postaje NaN
# map se koristi samo kada smo sigurni u sve moguce vrednosti kolone
data["TBranch"] = data["TBranch"].map({"Yes" : True, "No" : False})
# i mozemo da vidimo izmenjeni sadrzaj u skupu podataka
print("TBranch")

# da je bilo vise mogucih slucajeva (Yes/No/Not sure)
# mogli smo da koristimo i replace da bi sve ostale mogucnosti ostale
# netaknute, a ne odmah prebacene u NaN
data["TBranch"] = data["TBranch"].replace({"Yes" : True, "No" : False})
