import pandas as pd

# sortiranje podataka

# kreiramo recnik
studenti = {
    "ime": ["Pera", "Zika", "Mika"],
    "prezime": ["Peric", "Zikic", "Mikic"],
    "email": ["pera@peric.com", "zika@zikic.com", "mika@mikic.com"]
}

# od recnika pravimo data frame
data = pd.DataFrame(studenti)

# zelimo da sortiramo skup podataka po prezimenu
# podrazumevano sortiranje je leksikografsko, tj. rastuce
print(data.sort_values(by="prezime"))
# ako zelimo opadajuce potrebno je samo da prosledimo
# atribut ascending=False
print(data.sort_values(by="prezime", ascending=False))
# ako zelimo da zaista izmenimo redosled u originalnom skupu
# podataka treba da postavimo atribut inplace=True
data.sort_values(by="prezime", inplace=True)
# prikazujemo sortirani skup podataka
print(data)

# ako nam treba sortiranje po vise kriterijuma tada kao argumente
# treba da prosledimo liste
# sortiramo po prezimenu rastuce, po imenu opadajuce i po mejl adresi rastuce
data.sort_values(by = ["prezime", "ime", "email"], ascending=[True, False, True], inplace=True)
# prikazujemo sortiran skup podataka
print(data)

# podatke mozemo da sortiramo i po indeksu, tj. po redosledu kojim smo ih dodavali
data.sort_index(inplace=True)
print(data)

# pored celih skupova podataka mozemo da sortiramo i pojedinacne kolone,
# tj. series objekte
print(data["prezime"].sort_values())