import pandas as pd

# sortiranje podataka

# ucitavamo podatke
# indeks mozemo da postavimo direktno prilikom ucitavanja podataka
# logicno je da id odgovora bude indeks
data = pd.read_csv("../Data/survey_results_public.csv", index_col="ResponseId")
data_schema = pd.read_csv("../Data/survey_results_schema.csv")

# postavljamo granice
pd.set_option("display.max_columns", 114)
pd.set_option("display.max_rows", 114)


# mozemo da sortiramo podatke prema imenu zemlje rastuce
# i prema zaradi opadajuce
data.sort_values(by=["Country", "ConvertedCompYearly"], ascending=[True, False],inplace=True)

# prikazujemo prvih 50 podataka iz skupa 
print(data[["Country", "ConvertedCompYearly"]].head(100))

# cesto zelimo da vidimo samo neke ekstremne slucajeve
# na primer, 10 najvisih zarada
# u tom slucaju ne moramo da sortiramo citav skup (neefikasno),
# vec to mozemo uraditi mnogo jednostavnije
print(data["ConvertedCompYearly"].nlargest(10))
print(data["ConvertedCompYearly"].nsmallest(10))

# da bismo bolje razumeli sta predsavljaju ove najvece zarade i ko ih 
# ima, mozda bi trebalo da pogledamo i sve ostale informacije iz
# skupa podataka
print(data.nlargest(10, "ConvertedCompYearly"))